<?php
include '../ConsumoApi/Conexion.php';
header("Content-Type: application/json; charset=UTF-8");

class Operaciones
{
	public function PA_CrearAsistencia($ASIST_Cod, $fecha)
	{
	    $conn = new Conexion();
        $conn->Conectar();
        $conn->Parametro("@ASIST_Cod", $ASIST_Cod);
        $conn->Parametro("@fecha", $fecha);
        $data = $conn->Procedimiento("dbo.PA_CrearAsistencia");
        $conn->Desconectar();
        return json_encode($data);
	}
}

$request = json_decode(file_get_contents('php://input'), true);

switch ($request['accion']) {
	case 'PA_CrearAsistencia':
		try{
        	$ASIST_Cod = $request['ASIST_Cod'];
        	$fecha = $request['fecha'];
        	$app = new Operaciones();
        	echo $app->PA_CrearAsistencia($ASIST_Cod, $fecha);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
}



